void main( void )
{
 if (&rebel>0)
 {
 int &crap = create_sprite(180,250, 9, 0, 0);
	preload_seq(291);
	preload_seq(293);
	preload_seq(297);
	preload_seq(299);

	preload_seq(722);
	preload_seq(724);
	preload_seq(725);
	preload_seq(726);
 sp_base_walk(&crap, 290);
 sp_base_attack(&crap, 720); 
 sp_speed(&crap, 1);
 sp_distance(&crap,50);
 sp_strength(&crap, 20);
 //sp_touch_damage(&crap, 2);
 sp_timing(&crap, 0);
 move_stop(&crap, 7,250, 1);
 sp_target(&crap, 1);
 sp_hitpoints(&crap, 40);
  sp_script(&crap, "s2-fight");
 
 int &jcrap = create_sprite(120,250, 9, 0, 0);
 sp_base_walk(&jcrap, 290);
 sp_base_attack(&jcrap, 720); 
 sp_speed(&jcrap, 1);
 sp_strength(&jcrap, 20);
 //sp_touch_damage(&jcrap, 2);
 sp_timing(&jcrap, 0);
 sp_distance(&jcrap,50);
 move_stop(&jcrap, 7,250, 1);
 sp_target(&jcrap, 1);
 sp_hitpoints(&jcrap, 40);
  sp_script(&jcrap, "s2-fight");
 }
}
void talk(void)
{
//if (get_sprite_with_this_brain(9, &current_sprite) == 0) 
	//{
	   wait(500);  
	   enter();
	//}
}



void enter( void )
{
 int &gate = sp(4);
 sp_seq(&gate, 68);
script_attach(1000);
wait(1000);
fade_down();
&player_map = 102;
sp_x(1, 314);
sp_y(1, 349);
load_screen(102);
draw_screen();
fade_up();
unfreeze(1);
kill_this_task();
}